libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.297. __nv_ull2double_rd

Prototype:

    double @__nv_ull2double_rd(i64 %l)

Description:

Convert the unsigned 64-bit integer value `x` to a double-precision floating point value in round-down (to negative infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes